
%global crow_version 2.99.0
%global crow_release 0.1
%global crow_package 2.99.0
%global crow_dep_guiloader_cpp 2.99
%global crow_dep_dbus_glib 0.92

Name:             crow
Version:          %{crow_version}
Release:          %{crow_release}
Summary:          A graphical interfaces editor
Vendor:           crowdesigner.org

Group:            Development/Tools
License:          MIT
URL:              http://www.crowdesigner.org
Source0:          http://nothing-personal.googlecode.com/files/crow-%{crow_package}.tar.xz

BuildRequires:    guiloader-c++-devel >= %{crow_dep_guiloader_cpp}
BuildRequires:    dbus-glib-devel >= %{crow_dep_dbus_glib}
BuildRequires:    boost-devel
BuildRequires:    gettext

Requires:         guiloader-c++ >= %{crow_dep_guiloader_cpp}
Requires:         dbus-glib >= %{crow_dep_dbus_glib}
Requires(post):   /sbin/ldconfig
Requires(postun): /sbin/ldconfig

Obsoletes:        crow-devel < 2.13

%description
The Crow Designer is a visual editor for building of graphical user interfaces. Interfaces are being saved in files of the GuiXml format and may be involved in applications by means of the GuiLoader library. During editing the following instruments are available to a user: a palette of GUI controls, an object tree, an editor canvas and a hierarchical property explorer. The property explorer gives a possibility to work with nested objects and arrays as well as with several selected objects simultaneously. The designer uses "widgets" of the GTK+ library as a GUI controls kit.

%prep
%setup -q -n %{name}-%{crow_package}

%build
%configure --disable-static --disable-dependency-tracking
make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot}
find %{buildroot} -type f -name "*.la" -exec rm -f {} ';'
find %{buildroot} -type l -name "*.so" -exec rm -f {} ';'
%find_lang crow

%post
/sbin/ldconfig
update-desktop-database &> /dev/null || :
update-mime-database %{_datadir}/mime &> /dev/null || :

%postun
/sbin/ldconfig
update-desktop-database &> /dev/null || :
update-mime-database %{_datadir}/mime &> /dev/null || :

%files -f crow.lang
%defattr(-, root, root, -)
%doc doc/*.txt
%{_libdir}/libcrow-%{crow_version}.so
%{_bindir}/crow
%{_bindir}/crow-service
%{_datadir}/applications/crow.desktop
%{_datadir}/pixmaps/crow.png
%{_datadir}/mime/packages/crow.xml
